Subject: Re: [net-next PATCH 0/5] octeontx2-pf: HTB offload support

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Jan 2023 21:07:38 -0800

On Thu, 12 Jan 2023 23:01:15 +0530 Hariprasad Kelam wrote:
> octeontx2 silicon and CN10K transmit interface consists of five
> transmit levels starting from MDQ, TL4 to TL1. Once packets are
> submitted to MDQ, hardware picks all active MDQs using strict
> priority, and MDQs having the same priority level are chosen using
> round robin. Each packet will traverse MDQ, TL4 to TL1 levels.
> Each level contains an array of queues to support scheduling and
> shaping.
> 
> As HTB supports classful queuing mechanism by supporting rate and
> ceil and allow the user to control the absolute bandwidth to
> particular classes of traffic the same can be achieved by
> configuring shapers and schedulers on different transmit levels.
> 
> This series of patches adds support for HTB offload,
> 
> Patch1: Allow strict priority parameter in HTB offload mode.
> 
> Patch2: defines APIs such that the driver can dynamically initialize/
>         deinitialize the send queues.
> 
> Patch3: Refactors transmit alloc/free calls as preparation for QOS
>         offload code.
> 
> Patch4: Adds devlink support for the user to configure round-robin
>         priority at TL1
> 
> Patch5:  Adds actual HTB offload support.

Rahul, since you're working on fixing the HTB offload warn - 
would you mind reviewing this series?

https://lore.kernel.org/all/[email-masked]/